#ifndef CLEAN_H
#define CLEAN_H

///////////////////////////////////////////////////////////////
//                                                           //
// clean.h - traverse subtree below specified Directory      //
//                                                           //
// Developed By Qiang Zheng From Dr. Fawcett's example.		 //
// Apr. 08 1999												 //
//															 //
///////////////////////////////////////////////////////////////

#include <iostream>
#include <iomanip>
#include <cstring> 
#include <windows.h>
#include <string.h>
#include "dirNav.h"

using namespace std;

// This virtual class is the base class of required "CLEAN" and "DUPS"
// class, i.e. it is a public interface	
class clean : public dirNav {
	void cleanFile( const char * fName );
public:
	// Implement the virtual function in dirNav class
	// this function is to get the user instruction about if 
	// the action can be performed automatically in the subdirectories
	char getUserAnswer( const bool confirm );

	// Special actions to be performed when files are encountered
	// this virtual function has to be implemented by the derived class
	void performF( const char * fName, const char userAnswer );
};

#endif