#ifndef DUP_H
#define DUP_H

///////////////////////////////////////////////////////////////
//                                                           //
// dup.h - traverse subtree below specified Directory,       //
//         record duplicated file names and display them.    //
//                                                           //
//                                                           //
// Developed By Qiang Zheng From Dr. Fawcett's example.		 //
// Apr. 08 1999												 //
//															 //
///////////////////////////////////////////////////////////////

#include <iostream>
#include <iomanip>
#include <cstring> 
#include <windows.h>
#include <string.h>
#include "dirNav.h"

using namespace std;

// This virtual class is the base class of required "CLEAN" and "DUPS"
// class, i.e. it is a public interface	
class clean : public dirNav {
public:
	// Implement the virtual function in dirNav class
	// this function returns an 'A', which means do the action
	// automatically for the files in the current directory.
	inline char getUserAnswer( const bool confirm ) { return 'A'; }

	// Special actions to be performed when files are encountered
	// this virtual function has to be implemented by the derived class
	void performF( const char * fName, const char userAnswer );
};

#endif